
function initAccessibleNav() {
	var nav = document.getElementById('nav');
	var anchorList = [];
	
	for (var i = nav.childNodes.length - 1; i >= 0; i--) {
		// skip non-li nodes
		if (nav.childNodes[i].nodeName.toLowerCase() != 'li') continue;
		
		var dropdown = nav.childNodes[i].getElementsByTagName('ul')[0];
		var anchor = nav.childNodes[i].getElementsByTagName('a')[0];
		
		// skip invalid nodes
		if (!dropdown || !anchor) continue;
		
		// store some references for fast access
		anchorList[anchorList.length] = anchor;
		anchor._dropdown = dropdown;
		anchor._anchorList = anchorList;
		
		// for each anchor, make the dropdown visible on anchor focus
		addEventSimple(anchor, 'focus', showDropdown);
	}
}

function showDropdown (e) {
	var anchor = getTargetElement(e);
	if (!anchor._dropdown || !anchor._anchorList) return;
	
	// *unshow* all other dropdowns
	for (var i = anchor._anchorList.length - 1; i >= 0; i--) {
		if (anchor._anchorList[i] == anchor) continue;
		anchor._anchorList[i].parentNode.className = anchor.parentNode.className.replace('hover', '');
	}
	
	// show current dropdown
	anchor.parentNode.className += ' hover';
}


/*** helper functions from quirksmode.org ***/
function addEventSimple(obj,evt,fn) {
	if (obj.addEventListener)
		obj.addEventListener(evt,fn,false);
	else if (obj.attachEvent)
		obj.attachEvent('on'+evt,fn);
}
function getTargetElement (e) {
	var targ;
	if (!e) var e = window.event;
	if (e.target) targ = e.target;
	else if (e.srcElement) targ = e.srcElement;
	if (targ.nodeType == 3) // defeat Safari bug
		targ = targ.parentNode;
	return targ;
}
